List watermark profiles
GET/accounts/{account_id}/stream/watermarks
Lists all watermark profiles for an account.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
List watermark profiles
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/stream/watermarks \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"created": "2014-01-02T02:20:00Z",
"downloadedFrom": "https://company.com/logo.png",
"height": 0,
"name": "Marketing Videos",
"opacity": 0.75,
"padding": 0.1,
"position": "center",
"scale": 0.1,
"size": 29472,
"uid": "ea95132c15732412d22c1476fa83f27a",
"width": 0
}
]
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"created": "2014-01-02T02:20:00Z",
"downloadedFrom": "https://company.com/logo.png",
"height": 0,
"name": "Marketing Videos",
"opacity": 0.75,
"padding": 0.1,
"position": "center",
"scale": 0.1,
"size": 29472,
"uid": "ea95132c15732412d22c1476fa83f27a",
"width": 0
}
]
}